Opened 5 years ago

Closed 5 years ago

#1343 closed enhancement (fixed)

ipython scipy stack on Trusty

Reported by: darkblueb Owned by: live-demo@…
Priority: normal Milestone: OSGeoLive8.0
Component: OSGeoLive Keywords: ipython
Cc:

Description

here is the set of installs brought in by python-pandas

dbb@i7c:~/ipython_notebook_workdir$ sudo apt-get install python-pandas -s
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libdsdp-5.8gf libglpk36 liblz4-1 libsnappy1 python-antlr python-bs4 python-cvxopt python-joblib
  python-nose python-numexpr python-openpyxl python-pandas-lib python-patsy python-scipy python-simplejson
  python-statsmodels python-statsmodels-lib python-tables python-tables-data python-tables-lib python-xlrd
  python-xlwt
Suggested packages:
  libiodbc2-dev python-coverage python-nose-doc python-pandas-doc python-patsy-doc python-tables-doc
  python-netcdf vitables
The following NEW packages will be installed:
  libdsdp-5.8gf libglpk36 liblz4-1 libsnappy1 python-antlr python-bs4 python-cvxopt python-joblib
  python-nose python-numexpr python-openpyxl python-pandas python-pandas-lib python-patsy python-scipy
  python-simplejson python-statsmodels python-statsmodels-lib python-tables python-tables-data
  python-tables-lib python-xlrd python-xlwt
0 upgraded, 23 newly installed, 0 to remove and 4 not upgraded.
Inst libglpk36 (4.52.1-2build1 Ubuntu:14.04/trusty [amd64])
Inst liblz4-1 (0.0~r114-2ubuntu1 Ubuntu:14.04/trusty [amd64])
Inst python-antlr (2.7.7+dfsg-5 Ubuntu:14.04/trusty [all])
Inst python-bs4 (4.2.1-1ubuntu2 Ubuntu:14.04/trusty [all])
Inst libdsdp-5.8gf (5.8-9.1 Ubuntu:14.04/trusty [amd64])
Inst python-cvxopt (1.1.4-1.2 Ubuntu:14.04/trusty [amd64])
Inst python-joblib (0.7.1-1 Ubuntu:14.04/trusty [all])
Inst python-nose (1.3.1-2 Ubuntu:14.04/trusty [all])
Inst python-numexpr (2.2.2-4build1 Ubuntu:14.04/trusty [amd64])
Inst python-openpyxl (1.7.0+ds1-1 Ubuntu:14.04/trusty [all])
Inst python-pandas-lib (0.13.1-2ubuntu2 Ubuntu:14.04/trusty [amd64])
Inst python-pandas (0.13.1-2ubuntu2 Ubuntu:14.04/trusty [all])
Inst python-patsy (0.2.1-3 Ubuntu:14.04/trusty [all])
Inst python-simplejson (3.3.1-1ubuntu6 Ubuntu:14.04/trusty [amd64])
Inst libsnappy1 (1.1.0-1ubuntu1 Ubuntu:14.04/trusty [amd64])
Inst python-tables-lib (3.1.1-0ubuntu1 Ubuntu:14.04/trusty [amd64])
Inst python-tables-data (3.1.1-0ubuntu1 Ubuntu:14.04/trusty [all])
Inst python-tables (3.1.1-0ubuntu1 Ubuntu:14.04/trusty [all])
Inst python-xlrd (0.9.2-1 Ubuntu:14.04/trusty [all])
Inst python-xlwt (0.7.5+debian1-1 Ubuntu:14.04/trusty [all])
Inst python-scipy (0.13.3-1build1 Ubuntu:14.04/trusty [amd64])
Inst python-statsmodels-lib (0.5.0+git13-g8e07d34-1ubuntu2 Ubuntu:14.04/trusty [amd64])
Inst python-statsmodels (0.5.0+git13-g8e07d34-1ubuntu2 Ubuntu:14.04/trusty [all])
Conf libglpk36 (4.52.1-2build1 Ubuntu:14.04/trusty [amd64])
Conf liblz4-1 (0.0~r114-2ubuntu1 Ubuntu:14.04/trusty [amd64])
Conf python-antlr (2.7.7+dfsg-5 Ubuntu:14.04/trusty [all])
Conf python-bs4 (4.2.1-1ubuntu2 Ubuntu:14.04/trusty [all])
Conf libdsdp-5.8gf (5.8-9.1 Ubuntu:14.04/trusty [amd64])
Conf python-cvxopt (1.1.4-1.2 Ubuntu:14.04/trusty [amd64])
Conf python-joblib (0.7.1-1 Ubuntu:14.04/trusty [all])
Conf python-nose (1.3.1-2 Ubuntu:14.04/trusty [all])
Conf python-numexpr (2.2.2-4build1 Ubuntu:14.04/trusty [amd64])
Conf python-openpyxl (1.7.0+ds1-1 Ubuntu:14.04/trusty [all])
Conf python-pandas-lib (0.13.1-2ubuntu2 Ubuntu:14.04/trusty [amd64])
Conf python-pandas (0.13.1-2ubuntu2 Ubuntu:14.04/trusty [all])
Conf python-patsy (0.2.1-3 Ubuntu:14.04/trusty [all])
Conf python-simplejson (3.3.1-1ubuntu6 Ubuntu:14.04/trusty [amd64])
Conf libsnappy1 (1.1.0-1ubuntu1 Ubuntu:14.04/trusty [amd64])
Conf python-tables-lib (3.1.1-0ubuntu1 Ubuntu:14.04/trusty [amd64])
Conf python-tables-data (3.1.1-0ubuntu1 Ubuntu:14.04/trusty [all])
Conf python-tables (3.1.1-0ubuntu1 Ubuntu:14.04/trusty [all])
Conf python-xlrd (0.9.2-1 Ubuntu:14.04/trusty [all])
Conf python-xlwt (0.7.5+debian1-1 Ubuntu:14.04/trusty [all])
Conf python-scipy (0.13.3-1build1 Ubuntu:14.04/trusty [amd64])
Conf python-statsmodels-lib (0.5.0+git13-g8e07d34-1ubuntu2 Ubuntu:14.04/trusty [amd64])
Conf python-statsmodels (0.5.0+git13-g8e07d34-1ubuntu2 Ubuntu:14.04/trusty [all])

Change history (4)

comment:1 Changed 5 years ago by darkblueb

the previous ipython, and ipython-notebook

dbb@i7d:~/ipython_notebook_workdir_i7c$ sudo apt-get install ipython 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  python-decorator python-pexpect python-simplegeneric
Suggested packages:
  ipython-doc ipython-notebook ipython-qtconsole python-zmq python-pexpect-doc
The following NEW packages will be installed:
  ipython python-decorator python-pexpect python-simplegeneric
0 upgraded, 4 newly installed, 0 to remove and 4 not upgraded.
Need to get 657 kB of archives.
After this operation, 3,628 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-decorator all 3.4.0-2build1 [19.2 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main python-pexpect all 3.1-1ubuntu0.1 [37.8 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-simplegeneric all 0.8.1-1 [11.5 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ trusty/universe ipython all 1.2.1-2 [588 kB]
Fetched 657 kB in 1s (361 kB/s)  
Selecting previously unselected package python-decorator.
(Reading database ... 235635 files and directories currently installed.)
Preparing to unpack .../python-decorator_3.4.0-2build1_all.deb ...
Unpacking python-decorator (3.4.0-2build1) ...
Selecting previously unselected package python-pexpect.
Preparing to unpack .../python-pexpect_3.1-1ubuntu0.1_all.deb ...
Unpacking python-pexpect (3.1-1ubuntu0.1) ...
Selecting previously unselected package python-simplegeneric.
Preparing to unpack .../python-simplegeneric_0.8.1-1_all.deb ...
Unpacking python-simplegeneric (0.8.1-1) ...
Selecting previously unselected package ipython.
Preparing to unpack .../ipython_1.2.1-2_all.deb ...
Unpacking ipython (1.2.1-2) ...
Processing triggers for man-db (2.6.7.1-1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for mime-support (3.54ubuntu1) ...
Setting up python-decorator (3.4.0-2build1) ...
Setting up python-pexpect (3.1-1ubuntu0.1) ...
Setting up python-simplegeneric (0.8.1-1) ...
Setting up ipython (1.2.1-2) ...
dbb@i7d:~/ipython_notebook_workdir_i7c$ ls
dlab_pandas_intro.ipynb  mls_ex0.ipynb                  ra_pandas2.ipynb           xmlrpc_geocoder_ex.ipynb
loftus0.ipynb            MrNaz_example.ipynb            ra_pd_mlsmisc.ipynb
loftus.csv               parse_osgeolive_nightly.ipynb  start_ipy_notebook_i7c.sh
mapserver_log_ex.ipynb   psql_tests_1.ipynb             ufa_misc.ipynb
dbb@i7d:~/ipython_notebook_workdir_i7c$ screen
[screen is terminating]
dbb@i7d:~/ipython_notebook_workdir_i7c$ sudo apt-get install ipython-notebook
[sudo] password for dbb: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  fonts-font-awesome fonts-mathjax ipython-notebook-common libjs-highlight libjs-jquery-ui libjs-marked
  libjs-mathjax libpgm-5.1-0 libzmq3 python-jinja2 python-markupsafe python-mysqldb python-pycurl
  python-tornado python-zmq
Suggested packages:
  pandoc pgf libjs-jquery-ui-docs fonts-stix fonts-mathjax-extras libjs-mathjax-doc python-jinja2-doc
  mysql-server-5.1 mysql-server python-mysqldb-dbg python-pycurl-dbg
The following NEW packages will be installed:
  fonts-font-awesome fonts-mathjax ipython-notebook ipython-notebook-common libjs-highlight libjs-jquery-ui
  libjs-marked libjs-mathjax libpgm-5.1-0 libzmq3 python-jinja2 python-markupsafe python-mysqldb
  python-pycurl python-tornado python-zmq
0 upgraded, 16 newly installed, 0 to remove and 4 not upgraded.
Need to get 8,842 kB of archives.
After this operation, 53.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty/universe fonts-mathjax all 2.3-1 [959 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libpgm-5.1-0 amd64 5.1.118-1~dfsg-0.1ubuntu3 [156 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libzmq3 amd64 4.0.4+dfsg-2 [129 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libjs-mathjax all 2.3-1 [5,396 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ trusty/universe fonts-font-awesome all 4.0.0~dfsg-1 [266 kB]      
Get:6 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libjs-highlight all 7.4+ds-1 [140 kB]             
Get:7 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libjs-jquery-ui all 1.10.1+dfsg-1 [458 kB]        
Get:8 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libjs-marked all 0.3.1+dfsg-1 [12.5 kB]           
Get:9 http://us.archive.ubuntu.com/ubuntu/ trusty/universe ipython-notebook-common all 1.2.1-2 [629 kB]      
Get:10 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-markupsafe amd64 0.18-1build2 [14.3 kB]       
Get:11 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-jinja2 all 2.7.2-2 [161 kB]                   
Get:12 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-pycurl amd64 7.19.3-0ubuntu3 [47.9 kB]        
Get:13 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-tornado all 3.1.1-1ubuntu2 [215 kB]           
Get:14 http://us.archive.ubuntu.com/ubuntu/ trusty/universe python-zmq amd64 14.0.1-1build2 [175 kB]         
Get:15 http://us.archive.ubuntu.com/ubuntu/ trusty/universe ipython-notebook all 1.2.1-2 [28.9 kB]           
Get:16 http://us.archive.ubuntu.com/ubuntu/ trusty/main python-mysqldb amd64 1.2.3-2ubuntu1 [55.4 kB]        
Fetched 8,842 kB in 50s (175 kB/s)                                                                           
Selecting previously unselected package fonts-mathjax.
(Reading database ... 236130 files and directories currently installed.)
Preparing to unpack .../fonts-mathjax_2.3-1_all.deb ...
Unpacking fonts-mathjax (2.3-1) ...
Selecting previously unselected package libpgm-5.1-0:amd64.
Preparing to unpack .../libpgm-5.1-0_5.1.118-1~dfsg-0.1ubuntu3_amd64.deb ...
Unpacking libpgm-5.1-0:amd64 (5.1.118-1~dfsg-0.1ubuntu3) ...
Selecting previously unselected package libzmq3:amd64.
Preparing to unpack .../libzmq3_4.0.4+dfsg-2_amd64.deb ...
Unpacking libzmq3:amd64 (4.0.4+dfsg-2) ...
Selecting previously unselected package libjs-mathjax.
Preparing to unpack .../libjs-mathjax_2.3-1_all.deb ...
Unpacking libjs-mathjax (2.3-1) ...
Selecting previously unselected package fonts-font-awesome.
Preparing to unpack .../fonts-font-awesome_4.0.0~dfsg-1_all.deb ...
Unpacking fonts-font-awesome (4.0.0~dfsg-1) ...
Selecting previously unselected package libjs-highlight.
Preparing to unpack .../libjs-highlight_7.4+ds-1_all.deb ...
Unpacking libjs-highlight (7.4+ds-1) ...
Selecting previously unselected package libjs-jquery-ui.
Preparing to unpack .../libjs-jquery-ui_1.10.1+dfsg-1_all.deb ...
Unpacking libjs-jquery-ui (1.10.1+dfsg-1) ...
Selecting previously unselected package libjs-marked.
Preparing to unpack .../libjs-marked_0.3.1+dfsg-1_all.deb ...
Unpacking libjs-marked (0.3.1+dfsg-1) ...
Selecting previously unselected package ipython-notebook-common.
Preparing to unpack .../ipython-notebook-common_1.2.1-2_all.deb ...
Unpacking ipython-notebook-common (1.2.1-2) ...
Selecting previously unselected package python-markupsafe.
Preparing to unpack .../python-markupsafe_0.18-1build2_amd64.deb ...
Unpacking python-markupsafe (0.18-1build2) ...
Selecting previously unselected package python-jinja2.
Preparing to unpack .../python-jinja2_2.7.2-2_all.deb ...
Unpacking python-jinja2 (2.7.2-2) ...
Selecting previously unselected package python-pycurl.
Preparing to unpack .../python-pycurl_7.19.3-0ubuntu3_amd64.deb ...
Unpacking python-pycurl (7.19.3-0ubuntu3) ...
Selecting previously unselected package python-tornado.
Preparing to unpack .../python-tornado_3.1.1-1ubuntu2_all.deb ...
Unpacking python-tornado (3.1.1-1ubuntu2) ...
Selecting previously unselected package python-zmq.
Preparing to unpack .../python-zmq_14.0.1-1build2_amd64.deb ...
Unpacking python-zmq (14.0.1-1build2) ...
Selecting previously unselected package ipython-notebook.
Preparing to unpack .../ipython-notebook_1.2.1-2_all.deb ...
Unpacking ipython-notebook (1.2.1-2) ...
Selecting previously unselected package python-mysqldb.
Preparing to unpack .../python-mysqldb_1.2.3-2ubuntu1_amd64.deb ...
Unpacking python-mysqldb (1.2.3-2ubuntu1) ...
Processing triggers for fontconfig (2.11.0-0ubuntu4) ...
Processing triggers for doc-base (0.10.5) ...
Processing 1 added doc-base file...
Registering documents with scrollkeeper...
Setting up fonts-mathjax (2.3-1) ...
Setting up libpgm-5.1-0:amd64 (5.1.118-1~dfsg-0.1ubuntu3) ...
Setting up libzmq3:amd64 (4.0.4+dfsg-2) ...
Setting up libjs-mathjax (2.3-1) ...
Setting up fonts-font-awesome (4.0.0~dfsg-1) ...
Setting up libjs-highlight (7.4+ds-1) ...
Setting up libjs-jquery-ui (1.10.1+dfsg-1) ...
Setting up libjs-marked (0.3.1+dfsg-1) ...
Setting up ipython-notebook-common (1.2.1-2) ...
Setting up python-markupsafe (0.18-1build2) ...
Setting up python-jinja2 (2.7.2-2) ...
Setting up python-pycurl (7.19.3-0ubuntu3) ...
Setting up python-tornado (3.1.1-1ubuntu2) ...
Setting up python-zmq (14.0.1-1build2) ...
Setting up ipython-notebook (1.2.1-2) ...
Setting up python-mysqldb (1.2.3-2ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...

comment:2 Changed 5 years ago by darkblueb

on Live a2, I added the jtaylor repos sudo add-apt-repository ppa:jtaylor/ipython, and installed, along with python-decorator, python-simplegeneric; seems to work fine; will follow-up with some testing.

comment:3 Changed 5 years ago by hamish

current status?

thanks, Hamish

comment:4 Changed 5 years ago by darkblueb

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.